[Numpy-discussion] numpy docs dependency problem in Ubuntu

Robert Kern robert.kern@gmail....
Fri Feb 11 13:57:33 CST 2011


On Fri, Feb 11, 2011 at 13:47, Barry Warsaw <barry@python.org> wrote:

> The downside is that it probably means Ubuntu would more or less permanently
> diverge from Debian for numpy, which would be unfortunate for many reasons.  I
> can certainly appreciate that from both upstream's and Debian's perspective,
> nothing is broken here and that Ubuntu must adjust.  If that's the best we can
> do, so be it, but I'm hoping there is a solution out there that would allow us
> to avoid either a divergence or providing Ubuntu users with a less than
> complete documentation package.

A python-matplotlib-nogui in main? ;-)

If you are going to do an Ubuntu-only fix, would that allow using our
prebuilt doc packages? IIRC, the only objection to that was that it
was Debian policy to build docs from sources. But then again, that
might have just been the first objection.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
  -- Umberto Eco


More information about the NumPy-Discussion mailing list